Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IDominoCalendarContainer

All Superinterfaces:
  ICalendarContainer, IContainer, IDominoContainer, IGroupwareContainer, IItem, java.io.Serializable

public interface IDominoCalendarContainer
extends ICalendarContainer, IDominoContainer

This interface extends the standard `IDominoContainer` to add calendar functionality. Domino calendar containers cannot hold subcontainers.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `IDominoContactsContainer`.

Fields inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`KEYID_TOTAL_ITEM_COUNT, KEYID_UNREAD_ITEM_COUNT, TOTAL_ITEM_COUNT, UNREAD_ITEM_COUNT`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IDominoAppointment` | `getAppointment(java.lang.String sID, FetchProfile fp, java.util.Date instanceDate)` Gets an appointment by its ID and instance date.

Methods inherited from interface com.compoze.collab.groupware.ICalendarContainer
`getAppointments, getAppointments, getAppointments`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`getTotalItemCount, getUnreadItemCount`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    public static final ContainerClass CLASS

  The `ContainerClass` that represents an `IDominoContactsContainer`.

Method Detail

### getAppointment

    public IDominoAppointment getAppointment(java.lang.String sID,
                                             FetchProfile fp,
                                             java.util.Date instanceDate)
                                      throws CollaborationException

  Gets an appointment by its ID and instance date.
  Parameters:
    `sID` - the appointment ID (not `null`)
    `fp` - the fetch profile (not `null`)
    `instanceDate` - the instance date (not `null`)
  Returns:
    the appointment (or `null` if there is no appointment with the specified ID and/or instance date)

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.